
import 'package:http/http.dart' as http;
import 'package:http/http.dart';

import '../talkApi.dart';
class LeaveRoom extends TalkApi {
  String chatToken;

  LeaveRoom(this.chatToken) : super('v4/room/$chatToken/participants/self', null);

  @override
  assemble(String raw) => null;

  @override
  Future<Response> request(Uri uri, Object? body, Map<String, String>? headers) => http.delete(uri, headers: headers);
}
